Subject: Re: libstdc++/7168: C++ Exceptions in Multithreaded Applications Crash (cygwin)
From: Lenny Primak <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 3 Jul 2002 13:16:51 -0400

Can somebody verify that C++ MT-exceptions work in the latest
gcc 3.0 builds for cygwin?  If true, I can volunteer to build the 
binaries.

http://gcc.gnu.org/ml/gcc-testresults/2002-07/msg00030.html

On Wednesday, July 3, 2002, at 12:38  PM, [email-masked] wrote:

> Synopsis: C++ Exceptions in Multithreaded Applications Crash (cygwin)
>
> State-Changed-From-To: open->suspended
> State-Changed-By: bkoz
> State-Changed-When: Wed Jul  3 09:38:21 2002
> State-Changed-Why:
>     As Phil noted, this bug tracking report system is only for 
> libstdc++-v3, which comes with gcc-3.0.x and later. I suggest you use a 
> recent version of gcc.
>
>     Binaries for cygwin can be found here:
>     http://www.xraylith.wisc.edu/~khan/software/gnu-win32/gcc.htm
>
>     However, I've noticed that there are none for the gcc-3.0.x series, 
> sadly.
>
>     However, I see good-looking builds of current gcc toolchains on 
> this platform all the time:
>
>     http://gcc.gnu.org/ml/gcc-testresults/2002-07/msg00046.html
>     http://gcc.gnu.org/ml/gcc-testresults/2002-07/msg00030.html
>
>     Perhaps you could contact one of these people for help and advice 
> on building a current toolchain under cygwin.
>
>     Again, I'm surprised this is not already a package for cygwin.
>
>
>     -benjamin
>
>
> http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-
> trail&database=gcc&pr=7168
>
Lenny Primak
PP-ASEL,H-IA
http://hope.nyc.ny.us

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/